RMMOD(8)

NOM

rmmod – Programme simple pour enlever un module du noyau Linux

SYNOPSIS

rmmod [OPTIONS] [liste de noms_de_module]

DESCRIPTION

rmmod est un programme simple pour enlever un module ou une liste de modules du noyau (quand la prise en charge du déchargement de module est fournie). La plupart des utilisateurs préfèreront utiliser la commande modprobe(8) avec l'option -r, cette dernière enlevant aussi les modules non utilisés dépendant du module à enlever.

Lorsqu'une liste de modules est fournie, le programme les traitera l’un après l’autre. Si un module n'est pas trouvé, rmmod quittera immédiatement en renvoyant un code d'erreur. Si la suppression du module échoue, le programme produira un journal d'erreur ET continuera avec le module suivant. Ce comportement n'est PAS contrôlé par l'option --force.

OPTIONS

-f, --force
    Cette option peut être extrêmement dangereuse : elle n'a aucun effet à moins que CONFIG_MODULE_FORCE_UNLOAD n'ait été définie lors de la compilation du noyau. Avec cette option, il est possible d'enlever des modules qui sont utilisés, qui ne sont pas conçus pour être supprimés ou qui ont été marqués comme non sûrs (voir lsmod(8)).

-s, --syslog
    Envoyer les erreurs sur syslog au lieu de stderr.

-v, --verbose
    Afficher des messages sur ce que fait le système. Habituellement rmmod n'affiche des messages que si quelque chose va mal.

-V, --version
    Afficher la version du programme et quitter.

-h, --help
    Afficher un message d'aide puis quitter.

COPYRIGHT

Cette page de manuel était originellement sous copyright 2002, Rusty Russell, IBM Corporation.

VOIR AUSSI

modprobe(8), insmod(8), lsmod(8), modinfo(8), depmod(8)

BOGUES

Merci d'envoyer les rapports de bogues directement au suivi des bogues de kmod à https://github.com/kmod-project/kmod/issues/ avec la version utilisée, les étapes pour reproduire le bogue et le retour espéré.

AUTEURS

De nombreuses contributions proviennent de la liste de diffusion linux-modules <linux-modules@vger.kernel.org> et de Github. Si vous avez une copie de kmod.git lui-même, les sorties de git-shortlog(1) et de git-blame(1) vous indiquerons les auteurs de certaines parties du projet.

Lucas De Marchi <lucas.de.marchi@gmail.com> est le responsable actuel du projet.

TRADUCTION
La traduction française de cette page de manuel a été créée par bubu <bubub@no-log.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.